package node

import (
	"os"
	"reflect"
	"testing"
)

func TestJSON_GZ(t *testing.T) {
	jsonName := "saved.json.gz"
	tmpnode := NewPathNode(".")
	tmpnode.IterScanNode()
	if err := tmpnode.ToJSON(jsonName, JSON_GZ); err != nil {
		t.Fatal(err)
	}

	readNode := NewPathNode("")
	if err := readNode.FromJSON(jsonName, JSON_GZ); err != nil {
		t.Fatal(err)
	}
	os.Remove(jsonName)

	if !reflect.DeepEqual(tmpnode, readNode) {
		t.Fatal("not equal")
	}
}
